View Issue Details

IDProjectCategoryView StatusLast Update
0032091Open CASCADEOCCT:Visualizationpublic2021-04-25 12:24
Reporternds Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032091: Visualization - possibility to redefine Graphic3d_TransformPers
DescriptionAllow redefining Apply/Compute of Graphic3d_TransformPers on a custom application level.

Here, we need to brainstorm about way to redefine template method Apply which is used both for Standard_Real and Standard_ShortReal now.
TagsNo tags attached.
Test case numberv3d/bugs/bug32091

Attached Files

  • snap_1_fit.png (3,054 bytes)
  • snap_2_zoomed_8.png (3,052 bytes)
  • snap_3_zoomed_0.2.png (2,888 bytes)

Relationships

parent of 0032135 newnds Visualization - possibility to redefine zoom persistent scale compute in Graphic3d_TransformPers 
Not all the children of this issue are yet resolved or closed.

Activities

git

2021-01-28 10:56

administrator   ~0098468

Branch CR32091 has been created by nds.

SHA-1: 0a70041e18aa8a8a728bbf95a3884dfd35de7223


Detailed log of new commits:

Author: nds
Date: Thu Jan 28 10:57:54 2021 +0300

    0032091: Visualization - possibility to redefine Graphic3d_TransformPers

git

2021-04-19 16:02

administrator   ~0100456

Branch CR32091_1 has been created by nds.

SHA-1: 277f1e160358a8d2279a5f382e181a326ad4f7aa


Detailed log of new commits:

Author: nds
Date: Thu Jan 28 10:57:54 2021 +0300

    0032091: Visualization - possibility to redefine Graphic3d_TransformPers

nds

2021-04-19 16:05

developer  

snap_1_fit.png (3,054 bytes)

nds

2021-04-19 16:06

developer  

snap_2_zoomed_8.png (3,052 bytes)

nds

2021-04-19 16:07

developer  

snap_3_zoomed_0.2.png (2,888 bytes)

git

2021-04-19 16:10

administrator   ~0100457

Branch CR32091_1 has been updated forcibly by nds.

SHA-1: c602efa39064cbb4fd997ce1565f697857ff4ca9

nds

2021-04-19 16:15

developer   ~0100458

Dear Kirill,

please, review.

Best regards, Natasha

kgv

2021-04-19 16:53

developer   ~0100460

+// own includes

Please drop redundant comments.

+//purpose  : .

Please remove redundant trailing spaces.

+  ~Graphic3d_TransformPersScaledAbove() {}

virtual (just for consistency).

+  Standard_EXPORT Standard_Boolean HasMinimumSize();

const.

+++ b/tests/v3d/bugs/bug32091

Please move test into tests/v3d/trsf grid.

+  if (aScale < myScale )

Unintended space.

+  Standard_Real aScale = Graphic3d_TransformPers::persistentScale (theCamera, theViewportWidth, theViewportHeight);

Tip: base_type:: could be used instead of Graphic3d_TransformPers::.

git

2021-04-19 20:07

administrator   ~0100463

Branch CR32091_1 has been updated by nds.

SHA-1: 6e012f17c6f8b5b5e21651248c94af787e355b61


Detailed log of new commits:

Author: nds
Date: Mon Apr 19 20:07:31 2021 +0300

    fix remarks

git

2021-04-19 21:51

administrator   ~0100466

Branch CR32091_2 has been created by nds.

SHA-1: 2b84d482698697002ae8e1c7177c59af82c313f9


Detailed log of new commits:

Author: nds
Date: Thu Jan 28 10:57:54 2021 +0300

    0032091: Visualization - possibility to redefine Graphic3d_TransformPers

nds

2021-04-20 09:44

developer   ~0100469

Dear Kirill,
remarks are corrected, please review once again.
Jenkins job: http://jenkins-test-12.nnov.opencascade.com/view/CR32091-master-nds/

Thank you in advance,
Natasha

kgv

2021-04-22 11:03

developer   ~0100509

Natalia,

please correct the patch by removing unexpected non-latin symbols:
  22 //! This persistenñe works only when the camera scale value is below the scale value of this persistence.


   http://jenkins-test-12.nnov.opencascade.com/view/WEEK-16/view/GIT/job/WEEK-16-OCCT-check-code/ Error: File(s) with NON-ASCII symbols :

        Non-ASC chars detected: src/Graphic3d/Graphic3d_TransformPersScaledAbove.hxx : 22

bugmaster

2021-04-23 18:41

administrator   ~0100536

Corrected

bugmaster

2021-04-25 11:00

administrator   ~0100551

Combination -
OCCT branch : IR-2021-04-23
master SHA - fd2efe5428b3b2b9d300b0612c0a53ee2486ba64
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-23 SHA - 740db2b9c0429fd95b1e8cf3790001245aaec02b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17901.710000000523 / 17988.35000000045 [-0.48%]
Products
Total CPU difference: 11558.800000000136 / 11564.760000000093 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 5522.40625 / 5520.953125 [+0.03%]
Products
Total CPU difference: 12871.203125 / 12932.890625 [-0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-04-25 12:24

administrator   ~0100559

Branch CR32091_2 has been deleted by inv.

SHA-1: 2b84d482698697002ae8e1c7177c59af82c313f9

git

2021-04-25 12:24

administrator   ~0100560

Branch CR32091_1 has been deleted by inv.

SHA-1: 6e012f17c6f8b5b5e21651248c94af787e355b61

git

2021-04-25 12:24

administrator   ~0100569

Branch CR32091 has been deleted by inv.

SHA-1: 0a70041e18aa8a8a728bbf95a3884dfd35de7223

Related Changesets

occt: master b06da8f1

2021-01-28 07:57:54

nds


Committer: bugmaster Details Diff
0032091: Visualization - possibility to redefine Graphic3d_TransformPers Affected Issues
0032091
mod - src/AIS/AIS_Plane.cxx Diff File
mod - src/AIS/AIS_Plane.hxx Diff File
mod - src/Graphic3d/FILES Diff File
mod - src/Graphic3d/Graphic3d_TransformPers.hxx Diff File
add - src/Graphic3d/Graphic3d_TransformPersScaledAbove.cxx Diff File
add - src/Graphic3d/Graphic3d_TransformPersScaledAbove.hxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
add - tests/v3d/trsf/bug32091 Diff File

Issue History

Date Modified Username Field Change
2021-01-28 10:56 nds New Issue
2021-01-28 10:56 nds Assigned To => nds
2021-01-28 10:56 git Note Added: 0098468
2021-02-16 17:34 nds Severity minor => feature
2021-02-16 17:56 nds Relationship added parent of 0032135
2021-02-16 18:16 nds Description Updated
2021-04-19 16:02 git Note Added: 0100456
2021-04-19 16:03 nds File Added: snap_1_fit.png
2021-04-19 16:03 nds File Added: snap_1_zoomed_8.png
2021-04-19 16:04 nds File Added: snap_1_zoomed_0.2.png
2021-04-19 16:04 nds File Deleted: snap_1_fit.png
2021-04-19 16:05 nds File Added: snap_1_fit.png
2021-04-19 16:06 nds File Deleted: snap_1_zoomed_0.2.png
2021-04-19 16:06 nds File Deleted: snap_1_zoomed_8.png
2021-04-19 16:06 nds File Added: snap_2_zoomed_8.png
2021-04-19 16:07 nds File Added: snap_3_zoomed_0.2.png
2021-04-19 16:10 git Note Added: 0100457
2021-04-19 16:15 nds Note Added: 0100458
2021-04-19 16:15 nds Assigned To nds => kgv
2021-04-19 16:15 nds Status new => resolved
2021-04-19 16:53 kgv Note Added: 0100460
2021-04-19 16:54 kgv Assigned To kgv => nds
2021-04-19 16:54 kgv Status resolved => assigned
2021-04-19 20:07 git Note Added: 0100463
2021-04-19 21:51 git Note Added: 0100466
2021-04-20 09:44 nds Note Added: 0100469
2021-04-20 09:44 nds Assigned To nds => kgv
2021-04-20 09:44 nds Status assigned => resolved
2021-04-20 09:58 kgv Assigned To kgv => bugmaster
2021-04-20 09:58 kgv Status resolved => reviewed
2021-04-22 11:03 kgv Note Added: 0100509
2021-04-22 11:03 kgv Assigned To bugmaster => nds
2021-04-22 11:03 kgv Status reviewed => feedback
2021-04-23 18:41 bugmaster Note Added: 0100536
2021-04-23 18:41 bugmaster Assigned To nds => bugmaster
2021-04-23 18:41 bugmaster Status feedback => reviewed
2021-04-25 11:00 bugmaster Note Added: 0100551
2021-04-25 11:00 bugmaster Status reviewed => tested
2021-04-25 11:14 bugmaster Test case number => v3d/bugs/bug32091
2021-04-25 11:55 bugmaster Changeset attached => occt master b06da8f1
2021-04-25 11:55 bugmaster Status tested => verified
2021-04-25 11:55 bugmaster Resolution open => fixed
2021-04-25 12:24 git Note Added: 0100559
2021-04-25 12:24 git Note Added: 0100560
2021-04-25 12:24 git Note Added: 0100569